GST-PACKAGE(1)

NAME
gst-package - create and install GNU Smalltalk .star package files

DESCRIPTION

  Usage:

    gst-package [OPTION]... FILES...

  Operation modes:

--install
    make or install STAR packages (default)

--uninstall
    remove the packages mentioned in the FILES

--dist
    copy files instead of creating STAR files.

--prepare
    create configure.ac or Makefile.am

--list-files PKG
    just output the list of files in the package

--list-packages
    just output the list of packages in the files

--help
    display this message and exit

--version
    print version information and exit

  Common suboptions:

-n, --dry-run
    print commands without running them

--srcdir DIR
    look for non-built files in directory DIR

--distdir DIR
    for --dist, place files in directory DIR

--destdir DIR
    prefix the destination directory with DIR

--target-directory DIR
    install the files in DIR (unused for --dist)

-I, --image-file=FILE
    load into the specified image

--kernel-dir=PATH
    use the specified kernel directory

  --install suboptions:

--test
    run unit tests after merging

--load
    also load the Smalltalk files in the image

  --list-files suboptions:

--load
    only list files that are filed in when loading

--test
    with --load, also include unit test files

--vpath
    Omit path to srcdir for files that are there

  --dist suboptions:

--all-files
    Process all files, not just non-built ones

--copy
    Do not create symbolic links

Except in uninstall and list files mode, gst-package requires write access to the GNU Smalltalk image directory, and merges the XML package files on the command line with that file.

The default target directory is /Users/bonzinip/devel/gst/+build

SEE ALSO
The full documentation for gst-package is maintained as a Texinfo manual. If the info and gst-package programs are properly installed at your site, the command

    info gst

should give you access to the complete manual.